Organize 2019 KF6 sprint
Open, Unbreak Now!Public

Description

Tentative timeframe: early December.

vkrause created this task.Sep 9 2019, 4:12 PM
vkrause triaged this task as High priority.Sep 10 2019, 7:42 AM
vkrause updated the task description. (Show Details)
vkrause raised the priority of this task from High to Unbreak Now!.Sep 12 2019, 9:21 AM
aacid added a subscriber: aacid.Sep 13 2019, 5:36 PM

What would be the aim of the sprint?

I'd same similar to the Randa KF5 sprint: Determine what we actually want to achieve for KF6 beyond just porting to Qt6 and dropping deprecated stuff. Some ideas have been collected over the past few days, but a lot of this is still very very high level and needs a much more detailed analysis and breakdown.

Ok, so first of all we need to need this moving fast, most important find if there's enough people that would be interested in such a sprint, then we can try to find date+place.

Will you post a call for attendees on kf-devel?

Done, and CC'ed a few more lists where possible attendees might hang out.

dfaure added a subscriber: dfaure.Sep 15 2019, 11:23 AM

I'm obviously interested. Current availability: 2-6 Dec, 9-20 Dec, all of January, February, etc.

If we're only 8 people we can do it in my office, but it's likely that we'll need a bigger place than that :-)

lydia added a subscriber: lydia.Sep 15 2019, 11:56 AM
aacid added a comment.Sep 15 2019, 3:19 PM

I may be interested in attending/helping with the organizing depending on the dates and my general "organizational overload" after LAS

apol added a subscriber: apol.Sep 15 2019, 3:46 PM

I'm interested in participating, could help organising but don't really have an easy venue.

repinc added a subscriber: repinc.Sep 15 2019, 7:09 PM
leinir added a subscriber: leinir.Sep 16 2019, 8:05 AM

I am interested to participate, but I don't have a venue either. For the rest of this year I don't have any dates free, really, it will be more about how I can reshuffle my schedule to be able to attend :-)

mirko added a subscriber: mirko.Sep 16 2019, 10:34 AM

I am interested in participating.

Would join, too. No real date restrictions ATM.

I am interested to join as well, but not sure if I can make it as I am quite booked for the rest of the year.

knauss added a subscriber: knauss.Sep 17 2019, 10:30 PM

I may have a venue at Waltershausen, but I have to ask how many people they can host.

https://www.openstreetmap.org/?mlat=50.90051&mlon=10.56118#map=18/50.90051/10.56118

it is 50m away from the train station.

kfunk added a subscriber: kfunk.Sep 24 2019, 6:18 PM
bshah added a subscriber: bshah.Sep 25 2019, 6:44 AM

Also interested

Obviously I'm also interested :)

For whoever wants to organize this, Mirko and Agustin also indicated they might have leads on possible venues.

vkrause added a subscriber: hein.Oct 22 2019, 7:11 AM

Latest update: @hein has a possible venue in Berlin for right after Qt Contributor Summit, which seems like a logistically convenient option considering some of you might be attending that as well. That would be Nov 22-24. Still awaiting final confirmation, but something to keep in mind when planning QtCS travel.

ervin added a subscriber: ervin.Oct 22 2019, 7:28 AM

Date and location are confirmed now: November 22 - 24 at the MBition office in Berlin (Dovestraße 1, 10587 Berlin). Thanks to @hein and @toscalix for making this possible :)

Please indicate if you are going to attend, and please help to spread the word to people not subscribed here yet who you think should be attending this sprint (hello @meven , @ahmadsamir :) ).

broulik added a comment.EditedOct 30 2019, 9:35 AM

I'll be there! :)
Reimbursements event: https://reimbursements.kde.org/events/114

mirko added a comment.Oct 30 2019, 9:41 AM

Count me in :-)

aacid added a comment.Oct 30 2019, 9:51 AM

Can't make it :(

hein added a comment.Oct 30 2019, 9:52 AM

Naturally going to be there too :-)

Will arrival and depature be at 22 and 24 or before/after?

Sadly, I can't be there :(

Count me in!

I can't make it :(

mart added a subscriber: mart.Oct 31 2019, 1:11 PM

I'll be there

meven added a comment.Oct 31 2019, 1:23 PM

Not sure if I can't make it but will try !

mart added a comment.Oct 31 2019, 1:27 PM

Will arrival and depature be at 22 and 24 or before/after?

would like to know that as well, if i arrive/leave the exact dates (which would be friday evening/sunday morning means the sprint is exactly one day long for me :)

Will arrival and depature be at 22 and 24 or before/after?

Still waiting for the exact times we can access the venue, Eike is on that. Starting on Friday seems possible at 9am, and given a few people are going to be there due to QtCS already it probably makes sense to aim for an early start and thus Thursday evening arrival if you have a longer journey.

ervin added a comment.Oct 31 2019, 4:24 PM

I think I can make it. Depends a bit on said times and how it works out travel wise. Do we already know what's the setup for accomodations as well?

I think I can make it. Depends a bit on said times and how it works out travel wise. Do we already know what's the setup for accomodations as well?

I've asked about accommodation options, I'll post information here as soon as I have news.

Also can't make it.

I think I can make it with arrival at Friday morning.

I think I can make it, too.

nicolasfella moved this task from Backlog to In Progress on the KF6 board.Nov 3 2019, 12:52 PM

@vkrause: to book stuff early, any updates on accommodation options and concrete start/end times at location?

Sorry, waiting for @hein on this, who in turn is waiting for MBition. Starting Friday morning is fixed already I'd say, how long we can stay on Sunday still needs to be clarified though.

ervin added a comment.Nov 4 2019, 8:47 AM

I confirm I'll be there, booked the flights (I land in Tegel at 9:40 if everything goes well, and I'll take off at 18:00 on sunday). Waiting for information regarding accomodations (in particular do I need to book at all, or will we go for a group booking?)

I've added a wiki page about the sprint: https://community.kde.org/Sprints/KF6

Please add yourself to the attendance list if you are coming

hein added a comment.EditedNov 4 2019, 9:49 AM

Thanks Nico.

Please fill in the attendance list in the wiki! This will help hugely with procuring visitor security passes to get you past some turnstiles at the office entrance.

Any update on the accommodation stuff?

Any update on the accommodation stuff?

There is now :) The current plan regarding accommodation is that we finalize the list of what needs to be booked by the end of the week (together with the e.V. board sprint), and do a booking from the eV. early next week then. So, everyone, please clarify in the wiki if you need a hotel room booked this way. KDE e.V. pays double rooms usually, I assume single rooms can be booked this way too but need to be paid individually.

Nice, thanks.
left my "Needs accommodation" yes mark in the wiki.

ableph added a subscriber: ableph.Thu, Nov 21, 1:37 PM

I will drop by.

I'll attend remotely, via IRC/matrix/chat_of_the_day.

meven added a comment.Thu, Nov 21, 3:15 PM

I'll attend remotely, via IRC/matrix/chat_of_the_day.

Me too ;)

vkrause moved this task from In Progress to Done on the KF6 board.Fri, Nov 22, 8:54 AM
vkrause moved this task from Done to Announced on the KF6 board.Mon, Nov 25, 9:25 PM